# J_Fuente_de_corriente

Este repositorio es para todos los archivos pertinentes para el diseño de la fuente de corriente que se utiliza para calentamiento por efecto Joule.
La fuente de corriente se separa en 2 partes principales, la placa de control que involucra la comparación de las líneas y el control del disparo de los SCR mediante PWM con sus respectivos aislamientos y la parte de potencia, que son los SCR y el filtro de salida.  

## Circuito de control
Las 3 fases de la fuente se reciben para ser comparadas una con otra utilizando la polarización de un LED en la entrada de un optoacoplador como medio de comparación, esta comparación entrega como resultado una señal que se compara con un valor de alfa que se suministra mediante la un pulso PWM. El pulso proviene de la tarjeta Beaglebone que mediante un circuito aislado, se convierte en un nivel de voltaje. La señal resultante de esta serie de comparaciones ya está en fase y sincronizada con el tiempo respectivo al que se debe disparar cada SCR y el ancho de esta activación, por lo que la salida de la tarjeta de control ya va directa a las terminales de los SCR.

Esquemático  
![Esquemático del circuito de control](fig/sch.png)  

PCB  
![Diseño impreso del circuito control](fig/pcb.PNG)  

## Circuito de potencia  
Esta parte de la fuente sólo consta del arreglo de 6 SCR (2 por fase) y del circuito de salida, cada uno de los SCR recibe la señal de PWM correspondiente según la fase que vayan a conducir como se muestra en la siguiente figura.
Esquemático
![Esquemático del circuito de potencia](fig/schpotencia.PNG)  
Ya que se esperan altas corrientes en esta parte del circuito, no se realiza circuito impreso por el límite de corriente de las pistas, los SCR se sujetan a disipadores con sus terminales conectadas y soladas mediante cables de suficiente calibre (~10-12 AWG).

## Señales de control